package etu.sl213616;


import java.io.File;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.control.Menu;
import javafx.scene.control.MenuBar;
import javafx.scene.control.MenuItem;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.VBox;
import javafx.stage.FileChooser;
import javafx.stage.FileChooser.ExtensionFilter;
import javafx.stage.Stage;

public class App2 extends Application {
	private Label messageLabel ; 
	private Connexion connexion ; 
	private Stage stage ; 

	@Override
	public void start(Stage stage) {
		BorderPane principal = new BorderPane();
		        Scene scene = new Scene(principal, 640, 480);

		        // Création de la barre de menu
		        MenuBar menus = new MenuBar();

		        // Création des menus principaux
		        Menu menuFichier = new Menu("Fichiers");
		        Menu menuFenetres = new Menu("Fenêtres");

		        // Création des items de menu
		        MenuItem choix = new MenuItem("Choisir un fichier");
		        choix.setOnAction(event -> choisirFichier());
		        MenuItem quitter = new MenuItem("Quitter");

		        MenuItem connexion = new MenuItem("Connexion");
		        connexion.setOnAction(event -> new FenetreConnexion(this).afficher());
		        MenuItem deconnexion = new MenuItem("Déconnexion");
		        deconnexion.setOnAction(event -> deconnecter());
		        MenuItem ajoutV = new MenuItem("Ajouter une ville");

		        // Ajout des items dans les menus
		        menuFichier.getItems().addAll(choix, quitter);
		        menuFenetres.getItems().addAll(connexion, deconnexion, ajoutV);

		        // Ajout des menus dans la barre de menu
		        menus.getMenus().addAll(menuFichier, menuFenetres);

		        // Ajout de la barre de menu dans le haut de la fenêtre principale
		        principal.setTop(menus);

		        // Partie principale de la fenêtre
		        VBox partiePrincipale = new VBox();
		        principal.setCenter(partiePrincipale);
		        
		        // Zone d'affichage des messages
		        messageLabel = new Label("Bienvenue !");
		        VBox messageBox = new VBox(messageLabel);
		        principal.setCenter(messageBox);

		        // Initialisation de la scène principale
		        stage.setScene(scene);
		        stage.setTitle("Application principale");
		        stage.show();

		}
				// Méthode pour afficher les messages
				public void afficherMessage(String message) {
					messageLabel.setText(message);
				}
    
				// Mise à jour de l'objet connexion
				public void setConnexion(Connexion connexion) {
					this.connexion = connexion;
				}
    
				// Gérer la déconnexion
				private void deconnecter() {
					if (connexion != null) {
						afficherMessage("Déconnexion de " + connexion.getLogin());
						connexion = null;  
					} else {
						afficherMessage("Aucune connexion active");
					}
				}
				
				// Méthode pour afficher la fenêtre de choix de fichier
				private void choisirFichier() {
			        FileChooser fileChooser = new FileChooser();

			        fileChooser.getExtensionFilters().addAll(
			                new ExtensionFilter("Fichiers Texte", "*.txt"),
			                new ExtensionFilter("Fichiers PDF", "*.pdf"),
			                new ExtensionFilter("Fichiers Java", "*.java"),
			                new ExtensionFilter("Tous les fichiers", "*.*")
			        );

			        File file = fileChooser.showOpenDialog(stage);
			        if (file != null) {
			            messageLabel.setText("Chargement d'un fichier: " + file.getName());
			        } else {
			            // Si "Annuler" a été cliqué, ne rien faire
			            messageLabel.setText("Aucun fichier sélectionné.");
			        }
			    }

				}
